POST api/apilogin
Verify seller credentials and signature, return token on success
Request Information
URI Parameters
None.
Body Parameters
ApiLogin| Name | Description | Type | Additional information |
|---|---|---|---|
| seller_id |
Seller identifier |
integer |
None. |
| timestamp |
Timestamp (used for inclusion in the signature, must be unique in each request) |
integer |
None. |
| sign |
Seller signature formed from the seller's API_GUID (received in WM message) and Timestamp. Format: SHA256(API_GUID + Timestamp) |
string |
None. |
| login |
User login in the system (case-sensitive) |
string |
None. |
| id_seller |
Seller identifier |
integer |
None. |
Request Formats
application/json, text/json
{
"seller_id": 1,
"timestamp": 2,
"sign": "sample string 3",
"login": "sample string 4",
"id_seller": 5
}
application/x-www-form-urlencoded
Sample not available.
application/xml, text/xml
<apilogin.request> <seller_id>1</seller_id> <timestamp>2</timestamp> <sign>sample string 3</sign> <login>sample string 4</login> <id_seller>5</id_seller> </apilogin.request>
Response Information
Resource Description
ApiLoginResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| retval |
Return code (0 - ok, otherwise - error) |
integer |
None. |
| desc |
Text description of the return code (error description) |
string |
None. |
| endesc |
Text description of the return code (error description) EN |
string |
None. |
| token |
Token, used in all subsequent requests to identify the user |
string |
None. |
| seller_id |
Seller identifier |
integer |
None. |
| valid_thru |
Time until which the token is valid (UTC) |
date |
None. |
Response Formats
application/json, text/json
{
"retval": 1,
"desc": "sample string 2",
"endesc": "sample string 3",
"token": "sample string 4",
"seller_id": 5,
"valid_thru": "2026-03-19T23:21:58.4355113+03:00"
}
application/xml, text/xml
<apilogin.response> <retval>1</retval> <desc>sample string 2</desc> <endesc>sample string 3</endesc> <token>sample string 4</token> <seller_id>5</seller_id> <valid_thru>2026-03-19T23:21:58.4355113+03:00</valid_thru> </apilogin.response>